Mono.Cairo 1.0.5000.0 2.0.0.0 System.Object System.IDisposable Patterns allow you to tile or extend images and objects and allow you to draw things like gradients. `/* example assumes the Graphics object has already been set up and width and height are initialized*/ static void draw (Cairo.Graphics gr, int width, int height) { int w, h; ImageSurface image; Matrix matrix; Pattern pattern; gr.Scale (width, height); gr.LineWidth = 0.04; image = new ImageSurface ("data/e.png"); w = image.Width; h = image.Height; pattern = new Pattern (image); pattern.Extend = Cairo.Extend.Repeat; gr.Translate (0.5, 0.5); gr.Rotate (Math.PI / 4); gr.Scale (1 / Math.Sqrt (2), 1 / Math.Sqrt (2)); gr.Translate (- 0.5, - 0.5); matrix = new Matrix (); matrix.InitScale (w * 5.0, h * 5.0); pattern.Matrix = matrix; gr.Pattern = pattern; gr.Rectangle ( new PointD (0, 0), 1.0, 1.0); gr.Fill (); pattern.Destroy (); image.Destroy(); }`
- Constructor
  Internal constructor for creating an empty Pattern object.
  1.0.5000.0
  2.0.0.0
- Constructor
  the cairo surface.
  Create a new Pattern for the given surface.
  System.Obsolete("Use the SurfacePattern constructor")
  1.0.5000.0
  2.0.0.0
- Method
  System.Void Destroys a Pattern. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` Whether this is being called from IDisposable.Dispose. Internal method, called by derived classes that might implement Dispose. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.
- Property
  Cairo.Matrix Gets or sets the Matrix for the current pattern. the matrix 1.0.5000.0 2.0.0.0
- Field
  System.IntPtr Cairo's C API pattern. 1.0.5000.0 2.0.0.0
- Property
  Cairo.PatternType The type of the patter. To be added. Returns the type of the pattern. 1.0.5000.0 2.0.0.0
- Property
  System.IntPtr Provides access to the raw Cairo C API pattern. the pointer 1.0.5000.0 2.0.0.0
- Method
  System.Void References (increments reference count) of the pattern. 1.0.5000.0 2.0.0.0
- Property
  Cairo.Status Checks whether an error has previously occurred for this surface. the status 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.